Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 2513453004: [Android NTP] Move suggestion sections into a separate node. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by Bernhard Bauer
Modified:
4 months, 2 weeks ago
CC:
chromium-reviews, ntp-dev+reviews_chromium.org, agrieve+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[Android NTP] Move suggestion sections into a separate node. Also, define how initialization of nodes works, by adding an init() method that is called after creating a node. Initialization now happens after the full tree structure has been created, and recursively processes all nodes in the tree. Subtrees that are added later use the same pattern; InnerNode now has helper methods for this. BUG=616090 Committed: https://crrev.com/67606628f1bf101b485ed5fd1ef00fd452e306f7 Cr-Commit-Position: refs/heads/master@{#438135}

Patch Set 1 #

Patch Set 2 : x #

Patch Set 3 : o #

Patch Set 4 : oo #

Patch Set 5 : x #

Patch Set 6 : x #

Patch Set 7 : x #

Patch Set 8 : fix #

Total comments: 5

Patch Set 9 : sync #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+246 lines, -731 lines) Patch
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/AllDismissedItem.java View 1 2 3 4 3 chunks +2 lines, -6 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/ChildNode.java View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/InnerNode.java View 1 2 3 4 5 6 1 chunk +30 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/Leaf.java View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/NewTabPageAdapter.java View 1 2 3 4 5 11 chunks +24 lines, -243 lines 0 comments Download
A + chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java View 1 2 3 4 5 6 7 8 9 chunks +54 lines, -426 lines 1 comment Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SignInPromo.java View 1 2 3 4 1 chunk +14 lines, -3 lines 1 comment Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SuggestionsSection.java View 1 2 3 4 5 6 7 4 chunks +19 lines, -17 lines 0 comments Download
M chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/TreeNode.java View 1 2 3 4 5 6 2 chunks +13 lines, -0 lines 0 comments Download
M chrome/android/java_sources.gni View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M chrome/android/junit/src/org/chromium/chrome/browser/ntp/cards/InnerNodeTest.java View 1 2 3 4 5 6 7 6 chunks +49 lines, -3 lines 0 comments Download
M chrome/android/junit/src/org/chromium/chrome/browser/ntp/cards/NewTabPageAdapterTest.java View 1 2 3 4 11 chunks +31 lines, -32 lines 0 comments Download
M chrome/android/junit/src/org/chromium/chrome/browser/ntp/cards/SuggestionsSectionTest.java View 1 2 3 4 5 1 chunk +3 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 50 (42 generated)
Bernhard Bauer
As promised / threatened last week... Please review! :)
4 months, 2 weeks ago (2016-12-12 15:11:20 UTC) #32
Michael van Ouwerkerk
https://codereview.chromium.org/2513453004/diff/140001/chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java (right): https://codereview.chromium.org/2513453004/diff/140001/chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java#newcode5 chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java:5: package org.chromium.chrome.browser.ntp.cards; Fwiw, I'm not convinced having packages 'cards' ...
4 months, 2 weeks ago (2016-12-12 16:09:57 UTC) #33
Bernhard Bauer
https://codereview.chromium.org/2513453004/diff/140001/chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java (right): https://codereview.chromium.org/2513453004/diff/140001/chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java#newcode5 chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java:5: package org.chromium.chrome.browser.ntp.cards; On 2016/12/12 16:09:57, Michael van Ouwerkerk wrote: ...
4 months, 2 weeks ago (2016-12-12 17:39:19 UTC) #38
Michael van Ouwerkerk
Neat! lgtm https://codereview.chromium.org/2513453004/diff/140001/chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java File chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java (right): https://codereview.chromium.org/2513453004/diff/140001/chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java#newcode5 chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java:5: package org.chromium.chrome.browser.ntp.cards; On 2016/12/12 17:39:19, Bernhard Bauer ...
4 months, 2 weeks ago (2016-12-13 11:08:21 UTC) #41
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2513453004/160001
4 months, 2 weeks ago (2016-12-13 11:28:23 UTC) #43
commit-bot: I haz the power
Committed patchset #9 (id:160001)
4 months, 2 weeks ago (2016-12-13 12:06:11 UTC) #46
commit-bot: I haz the power
Patchset 9 (id:??) landed as https://crrev.com/67606628f1bf101b485ed5fd1ef00fd452e306f7 Cr-Commit-Position: refs/heads/master@{#438135}
4 months, 2 weeks ago (2016-12-13 12:09:20 UTC) #48
dgn
4 months, 2 weeks ago (2016-12-13 14:54:47 UTC) #50
Message was sent while issue was closed.
https://codereview.chromium.org/2513453004/diff/160001/chrome/android/java/sr...
File
chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java
(right):

https://codereview.chromium.org/2513453004/diff/160001/chrome/android/java/sr...
chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SectionList.java:40:
mNewTabPageManager.getSuggestionsSource().setObserver(this);
setObserver will hook into the native code and might end up with
onNewSuggestions being called. I think it should move at the end of init() to
make sure everything is properly setup before we start receiving events.

https://codereview.chromium.org/2513453004/diff/160001/chrome/android/java/sr...
File
chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SignInPromo.java
(right):

https://codereview.chromium.org/2513453004/diff/160001/chrome/android/java/sr...
chrome/android/java/src/org/chromium/chrome/browser/ntp/cards/SignInPromo.java:77:
public DestructionObserver getObserver() {
now unused?
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46